Mail archive
alpine-aports

[alpine-aports] [PATCH] main/libuv: Enable check and debug package

From: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
Date: Tue, 7 Mar 2017 15:14:09 +0100

---
 main/libuv/APKBUILD | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)
diff --git a/main/libuv/APKBUILD b/main/libuv/APKBUILD
index 844e334823..a99fb66324 100644
--- a/main/libuv/APKBUILD
+++ b/main/libuv/APKBUILD
_at_@ -3,13 +3,13 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=libuv
 pkgver=1.11.0
-pkgrel=0
+pkgrel=1
 pkgdesc="Cross-platform asychronous I/O"
 url="http://libuv.org"
 arch="all"
 license="MIT BSD ISC"
 makedepends="automake autoconf libtool linux-headers"
-subpackages="$pkgname-dev"
+subpackages="$pkgname-dev $pkgname-dbg"
 source="http://dist.libuv.org/dist/v$pkgver/$pkgname-v$pkgver.tar.gz"
 builddir="$srcdir/$pkgname-v$pkgver"
 
_at_@ -40,4 +40,9 @@ package() {
 		"$pkgdir"/usr/share/licenses/$pkgname/LICENSE
 }
 
+check() {
+	cd "$builddir"
+	make check || return 1
+}
+
 sha512sums="5b56e4c337093c6ddc12f8353b011fba9e57fd84565e279bfc13a7d16d3b6dc01f02fee52a32f38ef630a0f5200fc63f3cc04137af21942422c3dcf535212f02  libuv-v1.11.0.tar.gz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Mar 07 2017 - 15:14:09 GMT